shared_examples_for "a photoable" do
  it { is_expected.to respond_to(:photos) }
  it { is_expected.to respond_to(:photo) }

  describe "validations" do
    describe "#photos" do
      it { is_expected.to allow_content_type("image/png", "image/jpeg").for(:photos) }
      it { is_expected.not_to allow_content_type("text/plain", "application/pdf").for(:photos) }
    end
  end
end
